# RPM specfile for mrproject module
# Generated Mon Apr 26 19:19:00 2004 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.9.2.2 2003/11/07 00:55:48 clahey Exp $

%define nam	mrproject
%define ver	0.9.1
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	6

Name:     	mrproject
Version: 	0.9.1
Release:	0.ximian.6.6
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://mrproject.codefactory.se/
Source0:	mrproject-0.9.1.tar.gz
Patch0:		mrproject-de.po.patch
Patch1:		mrproject-gantt-chart-crash.patch
BuildRequires:	libmrproject-devel >= 0.9.1
BuildRequires:	glib2-devel >= 2.0.4
BuildRequires:	gtk2-devel >= 2.0.3
BuildRequires:	libgnomecanvas-devel >= 2.0.1
BuildRequires:	libgnomeui-devel >= 2.0.1
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	libbonoboui-devel >= 2.0.0
BuildRequires:	libgnomeprintui22-devel >= 2.1.9
BuildRequires:	gnome-vfs2-devel >= 2.0.2
Summary:	project management program that can help build project plans
Group:		Applications/Project Management
Requires:	scrollkeeper >= 0.3.10
Requires:	libmrproject >= 0.9.1
Requires:	glib2 >= 2.0.4
Requires:	gtk2 >= 2.0.3
Requires:	libgnomecanvas >= 2.0.1
Requires:	libgnomeui >= 2.0.1
Requires:	libglade2 >= 2.0.0
Requires:	libbonoboui >= 2.0.0
Requires:	libgnomeprintui22 >= 2.1.9
Requires:	gnome-vfs2 >= 2.0.2
Provides:	ximian-mrproject = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
MrProject is a project planning, scheduling and tracking tool for
the GNOME Desktop aiming to act as a better replacement than available
proprietary tools. Its modular design makes it a flexible tool for
managing projects of any kind.

%files
%defattr(-, root, root)
/usr/bin/*
/usr/lib/mrproject
/usr/share/application-registry/*
/usr/share/applications/*
/usr/share/gnome/help/*
/usr/share/gnome-2.0/ui/*
/usr/share/locale/*/LC_MESSAGES/*
/usr/share/mime-info/*
/usr/share/mrproject
/usr/share/omf/*
/usr/share/pixmaps/mrproject
/usr/share/pixmaps/*.png
/usr/share/pixmaps/document-icons/*


%post


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n mrproject-0.9.1
    ;;
all)
%setup  -q -n mrproject-0.9.1
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var; rm -rf ${DESTDIR}/usr/lib/mrproject/*.la; rm -rf ${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Apr 26 2004 Ximian, Inc.

- Version: 0.9.1-0.ximian.6.6
- Summary: New build.
- New automated build.

